c
c common for datacard values
c
c card    variable   
c
c intyp   in_typ    i  1= input data file type flag (1 is ZEBRA)
c                                                   (2 is EPIO)
c                   i  2= logical unit for data file reading
c npass   n_pass    i  1= number of analysis passes (<4)
c nevtm   n_evtmax  i  1= maximum number of events to analyse per pass
c runpd   irunpd    i  1=1 may96 run period
c                      1=2 jul96 run period
c                      1=3 sep96 run period
c                      1=4 feb97 run period (technical)
c                      1=5 may97 run period
c mkped   mk_ped    i  1=>0 make pedestals
c         nt_ped    i  2= for 1997, number of first time samplings used
c         sc_ped    r  3= sigma cut for pedestal production
c         io_ped    i  4= read pedestal file flag    (>0 = read ped)
c                   i  5= logical unit for pedestal file reading
c                   i  6= output pedestal file flag  (>0 = write ped)
c                   i  7= logical unit for pedestal file writing
c mkcub   mk_cub    i  1= find adc max using simple cubic fit
c                                                    (>0 = enable)
c mpref   m_pref    i  1= prefered adc max finding package
c                         if more than one adc max finding package
c                         is enabled, this card determines the
c                         package that will be used to fill the
c                         generic adc max common (see hec_max.inc)
c                      1= 1  for simple cubic fit
c                      1= 2  for electronic response fit (not yet implemented)
c                      1= 3  for Cleland method          (not yet implemented)
c mkist   mk_his    i  1= system histograms flag     (>0 = make his)
c         io_his    i  2= logical unit for system histogram file writing
c iocal   io_cal    i  1= read calibration file flag (>0 = read cal)
c                   i  2= logical unit for calibration file reading
      integer in_typ(2)
      integer n_pass
      integer n_evtmax
      integer irunpd
      integer mk_ped
      integer nt_ped
      real    sc_ped
      integer io_ped(4)
      integer mk_cub
      integer m_pref
      integer mk_his
      integer io_his
      integer io_cal(2)
c
      common /sssdat/ in_typ,
     +                n_pass,
     +                n_evtmax,
     +                irunpd,
     +                mk_ped, nt_ped, sc_ped, io_ped,
     +                mk_cub,
     +                m_pref,
     +                mk_his, io_his,
     +                io_cal
c

