      subroutine hec_io_ini
c
c data io initialization
c
      implicit none      
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c epio common
c
      include'hec_epio.inc'
c
c zebra common
c
      include'hec_zebra.inc'
c
      integer ierr
c
c initialize zebra
c
      if (in_typ(1) .eq. 1) then
        call mzebra(-1)
        ixstor=0
        call mzstor(ixstor, '/zzz/', '.', ifence, lev, blvect(1),
     +  blvect(1), blvect(100000), blvect(1600001))
        if (ixstor .ne. 0) then
          print *, ' from mzstor: ixstor = ', ixstor
          stop
        endif
c
c open zebra file
c
        open(in_typ(2), file='bank.fz', form='unformatted', 
     +  status='old', err=1)
c
c initialize epio
c
      elseif (in_typ(1) .eq. 2) then
        call epinit
        call epsetw(in_typ(2), 1, lepbuf, ierr)
        call epdefu(in_typ(2), 'epioin', ierr)
        if (ierr .ne. 0) then
          print *, ' *** error calling epsetw in hec_io_ini', ierr
          stop
        endif
      else
        print *, ' *** unknown input data file type ', in_typ(1)
        stop
      endif
      return
c
 1    continue
      print *, ' *** error opening zebra file on unit ', in_typ(2)
      stop
c
      end
