      subroutine hec_ped_write
c
c write pedestals to file
c
      implicit none
c
      include'hec_par.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c pedestal common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped.inc'
c
c run header RUNH common
c
      include'hec_runh.inc'
c
      integer ic                !adc channel number
c
c open file for writing
c
      open (unit=io_ped(4), file='ped_out.dat', status='new', err=2)
c
      write(io_ped(4), *, err=1) run_no
      do ic = 1, i_adc_dim
         write(io_ped(4), *, err=1) ic, adc_ped(ic), adc_rms(ic)
      enddo
      print *, ' *** pedestal file writen to logical unit ', io_ped(4)
      close (unit=io_ped(4))
      return
c
 1    continue
      print *, ' *** error writing pedestal file to unit ', io_ped(4) 
      close (unit=io_ped(4))
      stop
c
 2    continue
      print *, ' *** error opening pedestal file to unit ', io_ped(4) 
      stop
c
      end
