      subroutine hec_card
c
c set up hec_adc datacards
c 
      implicit none
c
c datacard values common
c
      include'hec_datacard.inc'
c
c ffread common
c
      integer maxffr
      parameter (maxffr=2000)
      real ffspac(maxffr)
      common /cfread/ ffspac
c
c ffread initialization
c
      call ffinit(maxffr)
      call ffset('SIZE', 5)
c
c define keys and set defaults
c
      call ffkey('intyp', in_typ,     2, 'mixe')      
      in_typ(1) = 2
      in_typ(2) = 51
c
      call ffkey('npass', n_pass,     1, 'mixe')
      n_pass = 1
c
      call ffkey('nevtm', n_evtmax,   1, 'mixe')
      n_evtmax = 999999
c
      call ffkey('runpd', irunpd,     1, 'mixe')
      irunpd = 5
c
      call ffkey('mkped', mk_ped,     7, 'mixe')
      mk_ped = 1
      nt_ped = 5
      sc_ped = 3.
      io_ped(1) = 0
      io_ped(2) = 48
      io_ped(3) = 1
      io_ped(4) = 49
c
      call ffkey('mkhis', mk_his,     2, 'mixe')
      mk_his = 0
      io_his = 52
c
      call ffkey('mkcub', mk_cub,     1, 'mixe')
      mk_cub = 1
c
      call ffkey('mpref', m_pref,     1, 'mixe')
      m_pref = 1
c
      call ffkey('iocal', io_cal,     2, 'mixe')
      io_cal(1) = 0
      io_cal(2) = 27
c
      end
