      logical function hec_nextevt()
c
c read next event from data and save into common blocks
c in include files
c
c hec_nextevt = .true.  => event read successfully
c             = .false. => event read successfully and eof
c
c     Author: 07.04.97   Dieter Striegel
c   modified: 29.04.97   Dugan O'Neil
c
      implicit none
c
c common for datacard values
c
      include'hec_datacard.inc'
c
      logical hec_nextevt_epio
      logical hec_nextevt_zebra
c
c start by reseting raw data commons
c
      call hec_adc_ini
      call hec_dwpc_ini
c
c if we are reading zebra, call zebra nextevt
c
      if (in_typ(1) .eq. 1) then
         hec_nextevt = hec_nextevt_zebra()
c
c if we are reading epio, call epio nextevt
c
      elseif (in_typ(1) .eq. 2) then
         hec_nextevt = hec_nextevt_epio()
      endif
c
      end


