      subroutine hec_runh_epio
c
c read run header block from epio
c
      implicit none
c
c epio common
c
      include'hec_epio.inc'
c
c run header common
c
      include'hec_runh.inc'
c
c fill runcom
c
      run_no = ibankbuf(3)
      e_beam = ibankbuf(4)
      i_part = ibankbuf(5)
      x_cryo = ibankbuf(6)
      y_tabl = ibankbuf(7)
c
c print run banner
c
      write(*, 1020) run_no, e_beam, i_part, x_cryo, y_tabl 
 1020 format (//1x,27(1h*)/1x,1h*,25x,1h*/
     +1x,'* run number    =',i8,2h */
     +1x,'* beam energy   =',i8,2h */
     +1x,'* particle code =',i8,2h */
     +1x,'* x_cryostat    =',i8,2h */
     +1x,'* y_table       =',i8,2h */
     +1x,1h*,25x,1h*/1x,27(1h*)//)
c
c     print *, ' *** RUNH read'
c
      end
