      subroutine hec_his_ter
c
c output and delete system histograms
c
      implicit none
c
      include'hec_par.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c system histogram id common
c
      include'hec_his_sys.inc'
c
      integer istat, icycle
      integer id
      integer i
c
c open hbook file for system histograms
c
      call hropen(io_his, 'hec_adc', 'hec_adc.hbook', 'n', 1024, istat)
      if (istat .ne. 0) then
        print *, '*** problem opening system histograms hbook file ***',
     +  istat
        stop
      endif
c
c output and delete system histograms
c
      call hcdir('//hec_adc', ' ')
c
      do i = 1, n_id_used
        id = id_used(i)
        call hrout(id, icycle, ' ')
        call hdelet(id)
      enddo
c
c close the system histograms hbook file
c
      call hldir(' ', 't')
      call hrend('hec_adc')
      close(io_his)
c
      end

