      subroutine hec_ped_print
c
c print ped and rms computation stats
c
      implicit none
c
      include'hec_par.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c pedestal common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped.inc'
c
c pedestal computation common
c must be preceded by the include file hec_par.inc
c
      include 'hec_ped_sys.inc'
c
      integer ic
c
c do over channels
c
      print *, ' '
      print *, ' Pedestal computation summary'
      print *, '   Number of events used at pass 1 ',i_ped_evt1
      print *, '   Number of events used at pass 2 ',i_ped_evt2
      print *, '   ic      ped      rms  %cut at pass 2'
      do ic = 1, i_adc_used
        write(*, '(1x,i5,2(2x,f7.1),9x,f7.2)') 
     +  ic, adc_ped(ic), adc_rms(ic), ped_rej(ic)*100
      enddo
c
      end
        
