#
# choose compiler options
#
# hp (atlas.wgs)
compile=fort77 -c +ppu -V -O2 -I../inc
createexec=fort77 +ppu -V -O2 -o
#
# dec alpha
# compile=f77 -c -g -V -O2 -I../inc 
# createexec=f77 -V -O2 -o
#
VPATH=../inc
#
hec_adc: user_ana1.o \
         user_ana2.o \
         user_ana3.o \
         user_card.o \
         user_evt1.o \
         user_evt2.o \
         user_evt3.o \
         user_ini.o \
         user_ter.o \
         ../hec_adc.a
	$(createexec) hec_adc *.o ../hec_adc.a \
        `cernlib geant321 pawlib graflib grafX11 packlib genlib kernlib'

user_ana1.o: user_ana1.f 
	$(compile) user_ana1.f

user_ana2.o: user_ana2.f 
	$(compile) user_ana2.f

user_ana3.o: user_ana3.f 
	$(compile) user_ana3.f

user_card.o: user_card.f 
	$(compile) user_card.f

user_evt1.o: user_evt1.f \
             user_common.inc
	$(compile) user_evt1.f

user_evt2.o: user_evt2.f 
	$(compile) user_evt2.f

user_evt3.o: user_evt3.f 
	$(compile) user_evt3.f

user_ini.o: user_ini.f
	$(compile) user_ini.f

user_ter.o: user_ter.f
	$(compile) user_ter.f



